GlideinWMS - Bug #15943

Overwriting of /etc/gwms-factory/glideinWMS.xml
03/22/2017 11:19 AM - Marco Mambelli

Status: New Start date: 03/22/2017
Priority: Normal Due date:

Assignee: Marco Mambelli % Done: 0%
Category: Estimated time: 0.00 hour
Target version: v3 6_7 Spent time: 0.00 hour
First Occurred: Stakeholders:

Occurs In: v3 3 2

Description

When a RPM update is performed the /etc/gwms-factory/glideinWMS.xml package is rewritten with its own content.

This happens even if the file is marked as no-rewrite in the spec file

If the file is a symbolic link, it becomes an actual file with the content of the linked file.

Steve T reported the owner becoming root but in my tests the owner is the owner of the link.
This is not happening for the frontend (I verified also with a link)

The tests | did are with the 3.3.2 RCs RPM but I'm expecting the same for 3.2.x

History

#1 - 05/17/2017 10:30 AM - Marco Mambelli
- Target version changed from v3_2 _19tov3 2 20

#2 - 05/19/2017 11:54 AM - Marco Mambelli

| think this is due to postinstall commands like:

sed -i "s/FRONTEND_NAME_CHANGEME/$frontend_name/g" %{_sysconfdir}/gwms-frontend/frontend.xml
sed -i "s/FRONTEND_HOSTNAME/$fqdn_hostname/g" %({_sysconfdir}/gwms-frontend/frontend.xml

and

sed -i "s/FACTORY_HOSTNAME/$fqdn_hostname/g" %{_sysconfdir}/gwms-factory/glideinWMS.xml|

These should run only on the stock file, that in upgrades s the .rpmnew

Add a comment line identifying the stock file, check for it and remove the line in the sed commands
And/of check for the rpmnew file

Or find a new mechanism (send email to OSG-int)

#3 - 07/24/2017 10:37 AM - Marco Mambelli
- Target version changed from v3_2 20 tov3 2 21

#4 - 11/15/2017 04:42 PM - Marco Mambelli
- Target version changed from v3_2 21tov3 2 22

#5 - 03/21/2018 11:47 AM - Marco Mambelli
- Target version changed from v3_2 22tov3 2 23

#6 - 04/26/2018 04:32 PM - Marco Mambelli
- Target version changed from v3_2 23tov3 4 0

#7 - 04/27/2018 09:46 AM - Marco Mambelli

- Target version changed fromv3_4 0tov3 4 1

#8 - 07/11/2018 07:36 AM - Marco Mambelli

- Target version changed from v3_4_1tov3 5

#9 - 11/12/2018 05:06 PM - Marco Mambelli
- Target version changed fromv3_5tov3 5 1

#10 - 08/16/2019 10:17 AM - Marco Mambelli

- Target version changed fromv3_5_1tov3 6_1

#11 - 09/17/2019 11:15 PM - Marco Mambelli

- Target version changed fromv3_6_1tov3 6 2

#12 - 12/18/2019 10:16 AM - Marco Mambelli

- Target version changed from v3_6_2tov3 6 3

#13 - 05/11/2020 08:18 PM - Marco Mambelli

- Target version changed from v3_6_3to v3 6 4

#14 - 09/17/2020 02:17 PM - Marco Mambelli

- Target version changed from v3_6_4tov3 6 5

#15 - 10/04/2020 01:48 AM - Marco Mambelli

- Target version changed from v3_6_5tov3 6 6

#16 - 10/08/2020 09:39 AM - Marco Mambelli

- Target version changed from v3_6_6tov3 6 7
